; The GIMP -- an image manipulation program ; Copyright (C) 1995 Spencer Kimball and Peter Mattis 
; 
; This program is free software; you can redistribute it and/or modify 
; it under the terms of the GNU General Public License as published by 
; the Free Software Foundation; either version 2 of the License, or 
; (at your option) any later version. 
; 
; This program is distributed in the hope that it will be useful, 
; but WITHOUT ANY WARRANTY; without even the implied warranty of 
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
; GNU General Public License for more details. 
; 
; You should have received a copy of the GNU General Public License 
; along with this program; if not, write to the Free Software 
; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
; 
; 
; red-eyes.scm version 1.00 22/02/2006 
; 
(define (script-fu-red-eyes image drawable) 
  (gimp-image-undo-group-start image) 
  ;ajuste l'outil adoucir les bords à 5 
  (gimp-selection-feather image 5) 
  ;copie de la sélection (ellipse ou lasso) 
  (gimp-edit-copy drawable) 
  ;travail sur la sélection 
  ;balance automatique des blancs 
  (gimp-levels-stretch drawable) 
  ;passe la sélection en noir et blanc 
  (gimp-desaturate drawable) 
  ;diminue la luminosité et accentue le contraste 
  ;pour obtenir une pupille bien noire 
  (gimp-brightness-contrast drawable -100 90) 
  ;affiche le résultat 
  (gimp-displays-flush image) 
  ;change la sélection afin d'ancrer la copie 
  (gimp-selection-all image) 
  ;désélectionne l'image afin de pouvoir sélectionner l'autre oeil 
  (gimp-selection-none image) 
  (gimp-image-undo-group-end image) ) 

(script-fu-register 
  "script-fu-red-eyes" 
  "<Image>/Script-Fu/Photo/Red eyes..." 
  "remove red eyes selected whith ellispe tool" 
  "Bruno" 
  "For the Gimp users" 
  "22/02/2006" 
  "*" 
  SF-IMAGE "Image" 0 
  SF-DRAWABLE "Drawable" 0 )
